<?php

namespace Predial;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

use Predial\DetallePagoPredial;

class DetallePagoPredial extends Model{

    public    $table      = "gr_detalle_pago_predial";
    protected $primaryKey = "id_unico";
    public    $timestamps = false;

    /**
     * Función para validar si existe el concepto registrado en el año
     * @author  Alexander Numpaque
     * @package Predial
     * @param   $concepto int    Id de concepto
     * @param   $anno     String Año el cual se va a registrar
     *
     * @return $xxx bool Valor booleano
     */
    public static function existe_pago($concepto, $anno){
        try {
            $data = DB::table('gr_detalle_pago_predial as dtp')
                        ->select('dtp.id_unico')
                        ->leftJoin('gr_detalle_factura_predial as dtf', 'dtp.detallefactura', '=', 'dtf.id_unico')
                        ->leftJoin('gr_avaluo as ava', 'dtf.avaluo', '=', 'ava.id_unico')
                        ->where('dtf.concepto', '=', $concepto)
                        ->where('ava.anno', '=', $anno)
                        ->first();
            if(empty($data)){
                $xxx = false;
            }else{
                $xxx = true;
            }
            return $xxx;
        } catch (Exception $e) {
            return $e->getMessage();
        }
    }
}
